Update a Payee
curl --request PUT \
--url https://test.onlinecheckwriter.com/api/v3/payees/{payeeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe",
"nickName": "JD",
"company": "Company A",
"email": "johndoe@example.com",
"phone": "1234567890",
"address1": "123 Main Street",
"address2": "Apt 4B",
"city": "City",
"state": "ST",
"zip": "12345",
"country": "US"
}
'import requests
url = "https://test.onlinecheckwriter.com/api/v3/payees/{payeeId}"
payload = {
"name": "John Doe",
"nickName": "JD",
"company": "Company A",
"email": "johndoe@example.com",
"phone": "1234567890",
"address1": "123 Main Street",
"address2": "Apt 4B",
"city": "City",
"state": "ST",
"zip": "12345",
"country": "US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'John Doe',
nickName: 'JD',
company: 'Company A',
email: 'johndoe@example.com',
phone: '1234567890',
address1: '123 Main Street',
address2: 'Apt 4B',
city: 'City',
state: 'ST',
zip: '12345',
country: 'US'
})
};
fetch('https://test.onlinecheckwriter.com/api/v3/payees/{payeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Successfully updated",
"data": {
"payeeId": "RJ6qGAAxJPGE1rD"
}
}{
"message": "Unauthenticated."
}{
"success": false,
"errorMsg": "This payee not found."
}{
"success": false,
"errorMsg": "Validation error: Invalid data provided."
}Payee
Update Payee
Update details of an existing payee.
PUT
/
payees
/
{payeeId}
Update a Payee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the payee to update.
Example:
"RJ6qGAAxJPGE1rD"
Body
application/json
Payload to update payee details.
Name of the payee.
Example:
"John Doe"
Nick name of the payee.
Example:
"JD"
Company name.
Example:
"Company A"
Payee's email address.
Example:
"johndoe@example.com"
Payee's phone number.
Example:
"1234567890"
Address 1
Example:
"123 Main Street"
Address 2
Example:
"Apt 4B"
City name.
Example:
"City"
State
Example:
"ST"
ZIP code.
Example:
"12345"
Country name.
Example:
"US"
⌘I
